## pacman-package-manager 6.0.2

=== meson_options.txt ===
# build behavior
option('use-git-version', type : 'boolean', value : false,
       description : 'take version information from git')
option('buildstatic', type : 'boolean', value : false,
       description : 'if true, build statically linked binaries')

# directories and filenames
option('root-dir', type : 'string', value : '/',
       description : 'set the location of the root operating directory')

option('pkg-ext', type : 'string', value : '.pkg.tar.gz',
       description : 'set the file extension used by packages')

option('src-ext', type : 'string', value : '.src.tar.gz',
       description : 'set the file extension used by source packages')

option('scriptlet-shell', type : 'string', value : '/bin/sh',
       description : 'The full path of the shell used to run install scriptlets')

option('ldconfig', type : 'string', value : '/sbin/ldconfig',
       description : 'set the full path to ldconfig')

option('buildscript', type : 'string', value : 'PKGBUILD',
       description : 'set the build script name used by makepkg')

option('datarootdir', type : 'string', value : 'share',
       description : 'FIXME')

option('makepkg-template-dir', type : 'string', value : '/usr/share/makepkg-template',
       description : 'template dir used by makepkg-template')

option('debug-suffix', type : 'string', value : 'debug',
       description : 'suffix for split debugging symbol packages used by makepkg')

# dependencies, features
option('doc', type : 'feature', value : 'auto',
       description : 'generate docs and manpages')

option('doxygen', type : 'feature', value : 'disabled',
       description : 'generate doxygen manpages and html')

option('curl', type : 'feature', value : 'auto',
       description : 'use curl to download files')

option('crypto', type : 'combo', choices : ['openssl', 'nettle'],
       description : 'select crypto implementation')

option('gpgme', type : 'feature', value : 'auto',
       description : 'use GPGME for PGP signature verification')

option('i18n', type : 'boolean', value : true,
       description : 'enable localization of pacman, libalpm and scripts')

# tools
option('file-seccomp', type: 'feature', value: 'auto',
	   description: 'determine whether file is seccomp-enabled')

## pacman-package-manager 6.0.1

=== debian/changelog ===
pacman-package-manager (6.0.1-4) unstable; urgency=medium

  * Migrate previous reproducibility fix to unstable
  * Add note that keyring-dir.patch has been applied upstream

 -- Ben Westover <kwestover.kw@gmail.com>  Sat, 20 Aug 2022 14:08:12 -0400

pacman-package-manager (6.0.1-3) experimental; urgency=medium

  * Fix build reproducibility problems on merged-usr systems (Closes: #1017511)

 -- Ben Westover <kwestover.kw@gmail.com>  Fri, 19 Aug 2022 15:50:05 -0400

pacman-package-manager (6.0.1-2) unstable; urgency=medium

  [ Michel Alexandre Salim ]
  * Normalize d/control with wrap-and-sort
  * Move zsh completions to proper directory

  [ Ben Westover ]
  * Add makepkg to Recommends of pacman-package-manager since it's required by
    the nonessential pacman-key but pulls in a lot of dependencies
  * Clean up maintainer manpages

 -- Ben Westover <kwestover.kw@gmail.com>  Tue, 2 Aug 2022 19:02:20 -0400

pacman-package-manager (6.0.1-1) unstable; urgency=medium

  * Initial Package (Closes: #511994)

 -- Ben Westover <kwestover.kw@gmail.com>  Fri, 29 Jul 2022 17:42:24 -0400

=== debian/control ===
Source: pacman-package-manager
Section: admin
Priority: optional
Maintainer: Ben Westover <kwestover.kw@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 asciidoc <!nodoc>,
 curl <!nocheck>,
 doxygen <!nodoc>,
 fakechroot <!nocheck>,
 fakeroot <!nocheck>,
 help2man <!nodoc>,
 libarchive-dev,
 libarchive-tools,
 libcurl4-openssl-dev,
 libgpgme-dev,
 libssl-dev,
 meson,
 pkg-config
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/benthetechguy/pacman.git
Vcs-Browser: https://salsa.debian.org/benthetechguy/pacman
Homepage: https://archlinux.org/pacman/
Rules-Requires-Root: no

Package: libalpm13
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Arch Linux Package Management library
 libalpm is a package management library, primarily used by pacman.

Package: libalpm-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libalpm13 (= ${binary:Version})
Description: Arch Linux Package Management library (development files)
 Development files for libalpm, a package management library primarily
 used by pacman.

Package: makepkg
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
 fakeroot,
 patch,
 pkgconf,
 texinfo
Recommends: build-essential
Description: Arch Linux package build utility
 makepkg is a script to automate the building of packages. The
 requirements for using the script are a build-capable *nix platform
 and a custom build script for each package you wish to build (known
 as a PKGBUILD).

Package: pacman-package-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: makepkg
Suggests: archlinux-keyring
Description: Simple library-based package manager
 pacman is a utility which manages software packages in Linux. It uses
 simple compressed files as a package format, and maintains a text-based
 package database just in case some hand tweaking is necessary.
 pacman does not strive to "do everything." It will add, remove and
 upgrade packages in the system, and it will allow you to query the
 package database for installed packages, files and owners. It also
 attempts to handle dependencies automatically and can download packages
 from a remote server.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dkeyringdir=keyrings

execute_after_dh_auto_clean:
	rm -rf obj-*

## pacman-package-manager 6.0.2

=== debian/changelog ===
pacman-package-manager (6.0.2-6ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:12:26 +1100

pacman-package-manager (6.0.2-6ubuntu1) noble; urgency=medium

  * Cherry-pick upstream commit passing the correct buffer length for
    make_aligned_titles to avoid FTBFS with _FORTIFY_SOURCE=3
    (LP: #2059006)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Mar 2024 12:49:13 +0000

pacman-package-manager (6.0.2-6) unstable; urgency=medium

  * Restrict patch to only ARMv7 (Fixes i386 build)

 -- Ben Westover <me@benthetechguy.net>  Wed, 20 Mar 2024 20:32:22 -0400

pacman-package-manager (6.0.2-5) unstable; urgency=medium

  * Fix test expecting 32-bit time_t (Closes: #1067094)

 -- Ben Westover <me@benthetechguy.net>  Wed, 20 Mar 2024 18:55:15 -0400

pacman-package-manager (6.0.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063199

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:16:08 +0000

pacman-package-manager (6.0.2-4) unstable; urgency=medium

  * Add test pycache to clean target (Closes: #1049219)
  * Update Standards-Version to 4.6.2

 -- Ben Westover <me@benthetechguy.net>  Wed, 16 Aug 2023 00:06:00 -0400

pacman-package-manager (6.0.2-3) unstable; urgency=medium

  * Update Debian revision of libalpm (Closes: #1024474)

 -- Ben Westover <me@benthetechguy.net>  Mon, 21 Nov 2022 15:48:16 -0400

pacman-package-manager (6.0.2-2) unstable; urgency=medium

  * Team upload.
  * Add missing Build-Deps: docbook-xsl and python3-all.
    This issue is hidden in unstable because both are pulled by
    dependencies but not when backporting the package to Bullseye.
    If these two packages are removed from the dependency chain,
    pacman-package-manager fails to build.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 19 Nov 2022 21:28:04 +0100

pacman-package-manager (6.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Sun, 03 Oct 2022 02:04:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: pacman-package-manager
 Section: admin
 Priority: optional
-Maintainer: Ben Westover <kwestover.kw@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Westover <me@benthetechguy.net>
 Build-Depends:
  debhelper-compat (= 13),
  asciidoc <!nodoc>,
  curl <!nocheck>,
+ docbook-xsl <!nodoc>,
  doxygen <!nodoc>,
  fakechroot <!nocheck>,
  fakeroot <!nocheck>,
@@ -16,14 +18,18 @@
  libgpgme-dev,
  libssl-dev,
  meson,
- pkg-config
-Standards-Version: 4.6.1
-Vcs-Git: https://salsa.debian.org/benthetechguy/pacman.git
-Vcs-Browser: https://salsa.debian.org/benthetechguy/pacman
+ pkg-config,
+ python3-all
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/BenTheTechGuy/pacman.git
+Vcs-Browser: https://salsa.debian.org/BenTheTechGuy/pacman
 Homepage: https://archlinux.org/pacman/
 Rules-Requires-Root: no
 
-Package: libalpm13
+Package: libalpm13t64
+Provides: ${t64:Provides}
+Replaces: libalpm13
+Breaks: libalpm13 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -36,7 +42,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libalpm13 (= ${binary:Version})
+Depends: ${misc:Depends}, libalpm13t64 (= ${binary:Version})
 Description: Arch Linux Package Management library (development files)
  Development files for libalpm, a package management library primarily
  used by pacman.
@@ -47,6 +53,7 @@
  ${misc:Depends},
  ${perl:Depends},
  ${shlibs:Depends},
+ debugedit,
  fakeroot,
  patch,
  pkgconf,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# libalpm* is a different version than the other binary packages.
include /usr/share/dpkg/pkg-info.mk
DEB_REVISION = $(word 2, $(subst -, ,$(DEB_VERSION)))
LIBALPM_VERSION = 13.0.2

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dkeyringdir=keyrings

execute_after_dh_auto_clean:
	rm -rf obj-* test/pacman/__pycache__

execute_after_dh_gencontrol:
	dh_gencontrol -plibalpm13t64 -- -v$(LIBALPM_VERSION)-$(DEB_REVISION)
	dh_gencontrol -plibalpm-dev -- -v$(LIBALPM_VERSION)-$(DEB_REVISION)

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(LIBALPM_VERSION)

## pacman-package-manager 7.0.0

=== meson_options.txt ===
--- 
+++ 
@@ -25,6 +25,9 @@
 
 option('datarootdir', type : 'string', value : 'share',
        description : 'FIXME')
+
+option('keyringdir', type : 'string', value: 'pacman/keyrings',
+	description : 'Where to look for keyring files under datarootdir')
 
 option('makepkg-template-dir', type : 'string', value : '/usr/share/makepkg-template',
        description : 'template dir used by makepkg-template')

=== debian/changelog ===
pacman-package-manager (7.0.0-2) unstable; urgency=medium

  * Fix typo in git source script (Closes: #1110910)
  * Update Standards-Version to 4.7.2.
  * Update Salsa VCS link.

 -- Ben Westover <me@benthetechguy.net>  Sat, 18 Oct 2025 21:22:23 -0400

pacman-package-manager (7.0.0-1) unstable; urgency=medium

  * New upstream version.
  * New major libalpm version.
  * Change depend from obsolete pkg-config to pkgconf.
  * Add pacman-package-manager to makepkg recommends. (Closes: #1076718)
  * Remove maintainer manpage that has since been accepted upstream.
  * Rename po files so libalpm13 and libalpm14 can coexist.
  * Update Standards-Version to 4.7.0.

 -- Ben Westover <me@benthetechguy.net>  Sun, 19 Jan 2025 22:08:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pacman-package-manager
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Westover <me@benthetechguy.net>
+Maintainer: Ben Westover <me@benthetechguy.net>
 Build-Depends:
  debhelper-compat (= 13),
  asciidoc <!nodoc>,
@@ -18,18 +17,14 @@
  libgpgme-dev,
  libssl-dev,
  meson,
- pkg-config,
+ pkgconf,
  python3-all
-Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/BenTheTechGuy/pacman.git
-Vcs-Browser: https://salsa.debian.org/BenTheTechGuy/pacman
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/debian/pacman.git
+Vcs-Browser: https://salsa.debian.org/debian/pacman
 Homepage: https://archlinux.org/pacman/
-Rules-Requires-Root: no
 
-Package: libalpm13t64
-Provides: ${t64:Provides}
-Replaces: libalpm13
-Breaks: libalpm13 (<< ${source:Version})
+Package: libalpm15
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -42,7 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libalpm13t64 (= ${binary:Version})
+Depends: ${misc:Depends}, libalpm15 (= ${binary:Version})
 Description: Arch Linux Package Management library (development files)
  Development files for libalpm, a package management library primarily
  used by pacman.
@@ -58,7 +53,7 @@
  patch,
  pkgconf,
  texinfo
-Recommends: build-essential
+Recommends: build-essential, pacman-package-manager
 Description: Arch Linux package build utility
  makepkg is a script to automate the building of packages. The
  requirements for using the script are a build-capable *nix platform

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # libalpm* is a different version than the other binary packages.
 include /usr/share/dpkg/pkg-info.mk
 DEB_REVISION = $(word 2, $(subst -, ,$(DEB_VERSION)))
-LIBALPM_VERSION = 13.0.2
+LIBALPM_VERSION = 15.0.0
 
 %:
 	dh $@
@@ -17,7 +17,7 @@
 	rm -rf obj-* test/pacman/__pycache__
 
 execute_after_dh_gencontrol:
-	dh_gencontrol -plibalpm13t64 -- -v$(LIBALPM_VERSION)-$(DEB_REVISION)
+	dh_gencontrol -plibalpm15 -- -v$(LIBALPM_VERSION)-$(DEB_REVISION)
 	dh_gencontrol -plibalpm-dev -- -v$(LIBALPM_VERSION)-$(DEB_REVISION)
 
 override_dh_makeshlibs:

=== debian/watch ===
version=4
# Upstream provides signed tarballs in GitLab releases, but their GitLab
# instance won't give uscan data without git mode; falling back to signed tags.
opts="mode=git,pgpmode=gittag" \
https://gitlab.archlinux.org/pacman/pacman.git refs/tags/@ANY_VERSION@

## pacman-package-manager 7.1.0

=== debian/changelog ===
pacman-package-manager (7.1.0-1) unstable; urgency=medium

  * New upstream version.
  * libalpm major version bump from 15 to 16.

 -- Ben Westover <bjw@debian.org>  Sun, 02 Nov 2025 22:50:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pacman-package-manager
 Section: admin
 Priority: optional
-Maintainer: Ben Westover <me@benthetechguy.net>
+Maintainer: Ben Westover <bjw@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  asciidoc <!nodoc>,
@@ -24,7 +24,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/pacman
 Homepage: https://archlinux.org/pacman/
 
-Package: libalpm15
+Package: libalpm16
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -37,7 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libalpm15 (= ${binary:Version})
+Depends: ${misc:Depends}, libalpm16 (= ${binary:Version})
 Description: Arch Linux Package Management library (development files)
  Development files for libalpm, a package management library primarily
  used by pacman.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # libalpm* is a different version than the other binary packages.
 include /usr/share/dpkg/pkg-info.mk
 DEB_REVISION = $(word 2, $(subst -, ,$(DEB_VERSION)))
-LIBALPM_VERSION = 15.0.0
+LIBALPM_VERSION = 16.0.0
 
 %:
 	dh $@
@@ -17,7 +17,7 @@
 	rm -rf obj-* test/pacman/__pycache__
 
 execute_after_dh_gencontrol:
-	dh_gencontrol -plibalpm15 -- -v$(LIBALPM_VERSION)-$(DEB_REVISION)
+	dh_gencontrol -plibalpm16 -- -v$(LIBALPM_VERSION)-$(DEB_REVISION)
 	dh_gencontrol -plibalpm-dev -- -v$(LIBALPM_VERSION)-$(DEB_REVISION)
 
 override_dh_makeshlibs:
